.pagination {
  margin-top: map-get($spacers, 4);
  gap: map-get($spacers, 1);

  @include media-breakpoint-down(sm) {
    flex-wrap: wrap;
    justify-content: stretch;

    .page-item {
      text-align: center;
      flex: 1;

      &.page-first,
      &.page-previous,
      &.page-next,
      &.page-last {
        flex-basis: 100%;
      }

      .page-link { margin: 0; }
    }
  }
}

.page-item {
  &:not(.active).page-ellipsis,
  &:not(.active).page-first,
  &:not(.active).page-previous,
  &:not(.active).page-next,
  &:not(.active).page-last {
    .page-link {
      span {
        display: none;
      }
    }
  }

  &.page-ellipsis .page-link { @extend .bi, .bi-three-dots; }
  &.page-first .page-link    { @extend .bi, .bi-skip-backward-fill; }
  &.page-previous .page-link { @extend .bi, .bi-caret-left-fill; }
  &.page-next .page-link     { @extend .bi, .bi-caret-right-fill; }
  &.page-last .page-link     { @extend .bi, .bi-fast-forward-fill; }
}
